package org.springframework.security.access.expression.method;

import org.springframework.security.core.Authentication;


/**
 * This class exists as a hack to allow us to extend {@code MethodSecurityExpressionRoot} rather than fully building
 * our own implementation. Since that class, and some of its methods, are package private, this class exists solely
 * to promote them to public.
 */
public class PublicMethodSecurityExpressionRoot extends MethodSecurityExpressionRoot {
    public PublicMethodSecurityExpressionRoot(Authentication a) {
        super(a);
    }

    @Override
    public void setThis(Object target) {
        super.setThis(target);
    }
}
